GNU bug report logs - #21477
24.4; Imenu - improper parse of shell function names

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Matthew Persico <mpersico5@HIDDEN>; merged with #52319, #52928, #54265, #56003, #57255; dated Mon, 14 Sep 2015 15:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 21477 52319 52928 54265 56003 57255. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 21477 52319 52928 54265 56003. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 21477 52319 52928 54265. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 21477 52319 52928. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 20 Aug 2020 18:42:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 14:42:31 2020
Received: from localhost ([127.0.0.1]:44087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8pWB-0001zY-Bh
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:42:31 -0400
Received: from mgny12.bloomberg.net ([69.191.192.83]:42871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mpersico5@HIDDEN>) id 1k8pW8-0001zK-KG
 for 21477 <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:42:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bloomberg.net; l=5685; q=dns/txt; s=20181022;
 t=1597948948; x=1598035348;
 h=date:from:reply-to:to:cc:mime-version:message-id:subject:
 content-id; bh=ZrtJFM6U525AneW5dKc4ni7kfxVhiSYWbXBPg5YQBXQ=;
 b=qcNxM2WMOa91Js5dMKz9Ipt9bo6jlpQOT8EAC1eMDlmZA5wm1aLnZg4+
 SsH/wyo2W6YJB5vLRz/S5TighBYuV58qA5oef9hqQMwo98jZ02U8Wv8D1
 4ACvXi8ZLAwvgeRin4bAvWOTI1JXqebEMw7pZKX9MUDgo6a/ZRr1f5j7/
 BHuxJ73g2WsZvjvaZqLaD/3mQG5KRA+JLNnuG7pYfWlUX0ol63IU2QSX1
 T002Pwbd5cIWKy5zdkSbCbKjzIANjyL9yWyFLuZqRLkREiJda2G2g+g9s
 4+PRXuDRhGY4N1VxlES5+45Z7YmidtTCmBO+fk/9SM54mi1kqMbJko0sJ w==;
X-BB-Reception-Complete: 20 Aug 2020 14:42:23 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 684738261
Received: from msclnypmsgsv01.bloomberg.com (HELO msclnypmsgsv01)
 ([10.126.117.76])
 by mgny12.bloomberg.net with SMTP; 20 Aug 2020 14:42:23 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgny12:25; conid=231
Date: Thu, 20 Aug 2020 18:42:23 -0000
From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
To: schwab@HIDDEN,
    stefan@HIDDEN
MIME-Version: 1.0
Message-ID: <5F3EC40F013505A2011D0001_0_1899465@msclnypmsgsv01>
X-BLP-GUID: 5F3EC40F013505A2011D00010000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbA==?=
 =?UTF-8?B?IGZ1bmN0aW9uIG5hbWVz?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_5F3EC40F013505A2011D0001_0_2298270_msclnypmsgsv01"
Content-ID: <ID_5F3EC40F013505A2011D0001_0_1766400@msclnypmsgsv01>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Matthew Persico <mpersico5@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--BOUNDARY_5F3EC40F013505A2011D0001_0_2298270_msclnypmsgsv01
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

QXQgYSBkb2N0b3JzIGFwcG9pbnRtZW50IG5vdy4gV2lsbCBkbyBzbyBsYXRlciB0aGlzIGV2ZW5p
bmcuIAoKU2VudCBmcm9tIEJsb29tYmVyZyBQcm9mZXNzaW9uYWwgZm9yIGlQaG9uZQoKLS0tLS0g
T3JpZ2luYWwgTWVzc2FnZSAtLS0tLQpGcm9tOiBTdGVmYW4gS2FuZ2FzIDxzdGVmYW5AbWFyeGlz
dC5zZT4KVG86IE1BVFRIRVcgUEVSU0lDTywgc2Nod2FiQGxpbnV4LW02OGsub3JnCkNDOiAyMTQ3
N0BkZWJidWdzLmdudS5vcmcKQXQ6IDIwLUF1Zy0yMDIwIDE0OjQxOjI3CgoKIk1hdHRoZXcgUGVy
c2ljbyAoQkxPT01CRVJHLyA5MTkgM1JEIEEpIiA8bXBlcnNpY281QGJsb29tYmVyZy5uZXQ+Cndy
aXRlczoKCj4gSSBhbSBub3Qgc3VyZSB3aGF0IGlzIGdvaW5nIG9uIGhlcmUsIGJ1dCBJIGp1c3Qg
bG9hZGVkIHVwIHRoaXMgZmlsZQo+IGFuZCBpdCBwYXJzZWQganVzdCBmaW5lLgoKV2hpY2ggdmVy
c2lvbiBvZiBFbWFjcyBhcmUgeW91IHVzaW5nIChNLXggZW1hY3MtdmVyc2lvbiksIGFuZCBjb3Vs
ZCB5b3UKc2hvdyBhbiBleGFtcGxlIG9mIHRoZSBjb2RlIHdoZXJlIHlvdSBzZWUgdGhlIGZ1bmN0
aW9uIG5hbWUgaGlnaGxpZ2h0ZWQ/Cgo+IFN0ZWZhbiwgaXQncyBiZWVuIGEgd2hpbGUgLSBjYW4g
eW91IHNlbmQgbWUgYSBsaW5rIHRvIG15IG9yaWdpbmFsIGJ1ZyByZXBvcnQ/CgpodHRwczovL2Rl
YmJ1Z3MuZ251Lm9yZy9jZ2kvYnVncmVwb3J0LmNnaT9idWc9MjE0NzcKCj4gUmlnaHQuICBXZWxs
LCB0aGVuIGFkZGluZyBzeW50YXggaGlnaGxpZ2h0aW5nIGhlcmUgd291bGQgaW4gYSB3YXkKPiBl
bmNvdXJhZ2UgcGVvcGxlIHRvIHdyaXRlIG5vbi1QT1NJWCBjb25mb3JtYW50IHNoZWxsIGNvZGUs
IHdoaWNoIGV2ZW4gaWYKPiBpdCBoYXBwZW5zIHRvIHdvcmsgaW4gQmFzaCBzb3VuZHMgbGlrZSBh
IGJhZCBpZGVhLgo+Cj4gU28gSSdtIGxlYW5pbmcgdG93YXJkcyBjbG9zaW5nIHRoaXMgYnVnIHJl
cG9ydCBhcyB3b250Zml4Lgo+Cj4gQW55IG90aGVyIG9waW5pb25zPwoKSSdtIHN0aWxsIHVuZGVj
aWRlZCBvbiB0aGlzIHBvaW50LCBzbyBvdGhlciBvcGluaW9ucyB3b3VsZCBiZSB3ZWxjb21lLgoK
UGVyaGFwcyB0aGlzIGlzIHNvbWV0aGluZyB3ZSBzaG91bGQgc3VwcG9ydCBvcHRpb25hbGx5IG9u
bHksIHNvIHdlIGRvbid0CmhlbHAgdW5zdXNwZWN0aW5nIHVzZXJzIHNob290IHRoZW1zZWx2ZXMg
aW4gdGhlIGZvb3QuCgpCZXN0IHJlZ2FyZHMsClN0ZWZhbiBLYW5nYXMK

--BOUNDARY_5F3EC40F013505A2011D0001_0_2298270_msclnypmsgsv01
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_5F3EC40F013505A2011D0001_0_2298270_msclnypmsgsv01--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 20 Aug 2020 18:41:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 14:41:35 2020
Received: from localhost ([127.0.0.1]:44082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8pVH-0001xl-0w
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:41:35 -0400
Received: from mail-yb1-f171.google.com ([209.85.219.171]:37394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k8pVE-0001xY-2E
 for 21477 <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:41:33 -0400
Received: by mail-yb1-f171.google.com with SMTP id e14so1657306ybf.4
 for <21477 <at> debbugs.gnu.org>; Thu, 20 Aug 2020 11:41:31 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=CHTXTF4SSzVobpBQcKGMNrLazC6DQcWIAm9WgwXY6/Q=;
 b=tVaesLhiUbs485EueFt8mfR373pP+n2h7XOf5i010bSxuXOTeAKFfTChYtnZxxvg2x
 PY6y+HnwRuFPOCK3/91y7o8ZWow4YOe5hlKQLU8dcQ2fbfN+SkaK3q8k/elhO2KaVzKK
 W9p3E2T6m6Ne1lC/NkYIUravfxai35NSu68NGK+PbtwC6nAa+vAvSJHr8og4+dUUD/T4
 7/QaIPCH3yrvyLFBncPzfvW4hOZvt0UQz04ZmxX3rYgE5MGWvkyfi6J2i6N1zuAyIgVD
 MRPBW+xyKSqmqUghoEluUYrbPsVtkQJWjo5iZT0/G2HXMWUep49Jd7hPrMZGMYLXIrn7
 HHtg==
X-Gm-Message-State: AOAM530V6xlpG94Jh3zIVNC8WZ8x2rWBnw7fBV4s5uQLqlCd1JiPbrww
 usb+ue77kiCkReCnDVWNyqEJ/8f5B4lJz4V/1N8=
X-Google-Smtp-Source: ABdhPJzvwqIGEInNqff55UUYcZJxXAAz4wvc8dOAfkDtaj/3XM49sDZNpPORmMW68ZwNFo1fsSw5reu7V/RwtcM9b0E=
X-Received: by 2002:a25:b290:: with SMTP id k16mr6632283ybj.389.1597948886467; 
 Thu, 20 Aug 2020 11:41:26 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 20 Aug 2020 11:41:25 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <5F3EBD3F005D05A6003905CC_0_68837@msllnjpmsgsv06>
References: <5F3EBD3F005D05A6003905CC_0_68837@msllnjpmsgsv06>
MIME-Version: 1.0
Date: Thu, 20 Aug 2020 11:41:25 -0700
Message-ID: <CADwFkmmftj0fL7StXEBNuhZCaL1NzA=7mkM07yWzzU6Pf0rq=A@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
To: Matthew Persico <mpersico5@HIDDEN>, schwab@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
writes:

> I am not sure what is going on here, but I just loaded up this file
> and it parsed just fine.

Which version of Emacs are you using (M-x emacs-version), and could you
show an example of the code where you see the function name highlighted?

> Stefan, it's been a while - can you send me a link to my original bug report?

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21477

> Right.  Well, then adding syntax highlighting here would in a way
> encourage people to write non-POSIX conformant shell code, which even if
> it happens to work in Bash sounds like a bad idea.
>
> So I'm leaning towards closing this bug report as wontfix.
>
> Any other opinions?

I'm still undecided on this point, so other opinions would be welcome.

Perhaps this is something we should support optionally only, so we don't
help unsuspecting users shoot themselves in the foot.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 20 Aug 2020 18:13:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 14:13:27 2020
Received: from localhost ([127.0.0.1]:43968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8p42-0005AH-Vq
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:13:27 -0400
Received: from mgnj16.bloomberg.net ([69.191.244.238]:28443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mpersico5@HIDDEN>) id 1k8p41-0005A1-2O
 for 21477 <at> debbugs.gnu.org; Thu, 20 Aug 2020 14:13:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bloomberg.net; l=6512; q=dns/txt; s=20181022;
 t=1597947205; x=1598033605;
 h=date:from:reply-to:to:cc:mime-version:message-id:subject:
 content-id; bh=LH7SqcubDF6sWL36fdLlQsKKD01e2nWe1YbPGJIC5bo=;
 b=HCeF/8fdYK3zSNJ/sRtvJAwceKMU3wn/ZrPgyV0jZVtqeUoBgn4EYrJa
 vXETUECo62792j8G4DSVbBz8gDC/e9ElFDEfTqmNwI753WE8u30WDJlvU
 MIzE0DNzoGH0OOP4NJmqouzHT74fdD+mW4T8UGHplR2+6WUK1Oh50w18y
 S/Uv97G5W0NYI4X/NcplSo30JVU6Tau4fUAwv2tg93FGGfSLxqN8CWBV3
 TVr5sj0GBHJyWGee1bkw+CQxyRi/RHPzNplC0G4wsmNiX9O0ut1oCamwh
 QYIpsgeFjVpTZsO08J52FZxL0eBuGGcD9ttRZ54EuH4CzZosO1XGuNa2y Q==;
X-BB-Reception-Complete: 20 Aug 2020 14:13:19 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 125782572
Received: from msllnjpmsgsv06.bloomberg.com (HELO msllnjpmsgsv06)
 ([10.126.134.166])
 by mgnj16.bloomberg.net with SMTP; 20 Aug 2020 14:13:19 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj16:25; conid=200
Date: Thu, 20 Aug 2020 18:13:19 -0000
From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
To: schwab@HIDDEN,
    stefan@HIDDEN
MIME-Version: 1.0
Message-ID: <5F3EBD3F005D05A6003905CC_0_68837@msllnjpmsgsv06>
X-BLP-GUID: 5F3EBD3F005D05A6003905CC0000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbA==?=
 =?UTF-8?B?IGZ1bmN0aW9uIG5hbWVz?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_5F3EBD3F005D05A6003905CC_0_105161_msllnjpmsgsv06"
Content-ID: <ID_5F3EBD3F005D05A6003905CC_0_68686@msllnjpmsgsv06>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Matthew Persico <mpersico5@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--BOUNDARY_5F3EBD3F005D05A6003905CC_0_105161_msllnjpmsgsv06
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

SSBhbSBub3Qgc3VyZSB3aGF0IGlzIGdvaW5nIG9uIGhlcmUsIGJ1dCBJIGp1c3QgbG9hZGVkIHVw
IHRoaXMgZmlsZSBhbmQgaXQgcGFyc2VkIGp1c3QgZmluZS4KCk5vdywgSSBLTk9XIHRoYXQgdGhp
cyBkaWRuJ3Qgd29yayB3aGVuIEkgcmVwb3J0ZWQgaXQuIEFuZCBTdGVmYW4gd2FzIGFibGUgdG8g
cmVwcm9kdWNlIGl0LgoKSSB3b25kZXIgaWYgU3RlZmFuIGNhbiBzdGlsbCByZXByb2R1Y2U/CgpT
aW5jZSBJIGNhbid0IHJlcHJvZHVjZSwgSSBoYXZlIG5vIGlzc3VlIHdpdGggY2xvc2luZy4gSWYg
aXQgcmVncmVzc2VzLCBJJ2xsIG9wZW4gYSBuZXcgaXNzdWUsIG1ha2luZyBhIG5vdGUgb2YgdGhl
IHZlcnNpb25zIG9mIHZhcmlvdXMgcGFja2FnZXMsIHdoaWNoIHdvdWxkIGNlcnRhaW5seSBoZWxw
IGRpYWdub3Npcy4KClN0ZWZhbiwgaXQncyBiZWVuIGEgd2hpbGUgLSBjYW4geW91IHNlbmQgbWUg
YSBsaW5rIHRvIG15IG9yaWdpbmFsIGJ1ZyByZXBvcnQ/CgoKRnJvbTogc3RlZmFuQG1hcnhpc3Qu
c2UgQXQ6IDA4LzEyLzIwIDEyOjAwOjA5VG86ICBNYXR0aGV3IFBlcnNpY28gKEJMT09NQkVSRy8g
OTE5IDNSRCBBICkgLCAgc2Nod2FiQGxpbnV4LW02OGsub3JnCkNjOiAgMjE0NzdAZGViYnVncy5n
bnUub3JnClN1YmplY3Q6IFJlOiBidWcjMjE0Nzc6IDI0LjQ7IEltZW51IC0gaW1wcm9wZXIgcGFy
c2Ugb2Ygc2hlbGwgZnVuY3Rpb24gbmFtZXMKCkFuZHJlYXMgU2Nod2FiIDxzY2h3YWJAbGludXgt
bTY4ay5vcmc+IHdyaXRlczoKCj4gSXQncyBhIFBPU0lYIGV4dGVuc2lvbiwgZW5mb3JjZWQgaW4g
UE9TSVggbW9kZToKPgo+ICAgMTMuIEZ1bmN0aW9uIG5hbWVzIG11c3QgYmUgdmFsaWQgc2hlbGwg
J25hbWUncy4gIFRoYXQgaXMsIHRoZXkgbWF5IG5vdAo+ICAgICAgY29udGFpbiBjaGFyYWN0ZXJz
IG90aGVyIHRoYW4gbGV0dGVycywgZGlnaXRzLCBhbmQgdW5kZXJzY29yZXMsIGFuZAo+ICAgICAg
bWF5IG5vdCBzdGFydCB3aXRoIGEgZGlnaXQuICBEZWNsYXJpbmcgYSBmdW5jdGlvbiB3aXRoIGFu
IGludmFsaWQKPiAgICAgIG5hbWUgY2F1c2VzIGEgZmF0YWwgc3ludGF4IGVycm9yIGluIG5vbi1p
bnRlcmFjdGl2ZSBzaGVsbHMuCgpSaWdodC4gIFdlbGwsIHRoZW4gYWRkaW5nIHN5bnRheCBoaWdo
bGlnaHRpbmcgaGVyZSB3b3VsZCBpbiBhIHdheQplbmNvdXJhZ2UgcGVvcGxlIHRvIHdyaXRlIG5v
bi1QT1NJWCBjb25mb3JtYW50IHNoZWxsIGNvZGUsIHdoaWNoIGV2ZW4gaWYKaXQgaGFwcGVucyB0
byB3b3JrIGluIEJhc2ggc291bmRzIGxpa2UgYSBiYWQgaWRlYS4KClNvIEknbSBsZWFuaW5nIHRv
d2FyZHMgY2xvc2luZyB0aGlzIGJ1ZyByZXBvcnQgYXMgd29udGZpeC4KCkFueSBvdGhlciBvcGlu
aW9ucz8KCkJlc3QgcmVnYXJkcywKU3RlZmFuIEthbmdhcwoKCg==

--BOUNDARY_5F3EBD3F005D05A6003905CC_0_105161_msllnjpmsgsv06
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_5F3EBD3F005D05A6003905CC_0_105161_msllnjpmsgsv06--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 16:00:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 12:00:02 2020
Received: from localhost ([127.0.0.1]:45238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5tAY-0005AZ-1F
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 12:00:02 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:39898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5tAV-00059l-G6
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 12:00:00 -0400
Received: by mail-yb1-f178.google.com with SMTP id q16so1624584ybk.6
 for <21477 <at> debbugs.gnu.org>; Wed, 12 Aug 2020 08:59:59 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=WOxtny9TQE0lC26AMu1QPriOFtbaIYuIyhFdaFM//0c=;
 b=gqvcfUH7xh+z0pVeMHrbVhakn9D7oMqVRO31Gk8UkApheplZq2/sUUJCjoS8uArXBB
 pp+lGzeJvJGq8NIPC7yt5NDVtqBjCEBTaY082c+umnHH4lU6Zto5kGKDNshtE1/7qDi0
 FnU82iDntQB+z204+eG3bqvPO3BBpjH0m7w0pLNg6xHAF37fe4DX8K+p5knummEAbEcH
 uB0SvtaFt6Eni2ziiD/141lvoaIAr21pE63RXTJZPmCvP0NV5ieR7k2ILGGWkdtB7i+L
 N0SZcBxdYoQx/QJaB2ypC3P+1KptdRe1ATxl3LVOpO2Z1YJ5wlawHfWI88xQDsfNHCxU
 7qOQ==
X-Gm-Message-State: AOAM533pfTZt//3KXiX5wgg3gdkaUmpu7wYnyueyBTKBU7U8pWiNmXYH
 NV774zWjfVywhOqpHtHkAyonlfsc03MTjPOACqbHN9wQKTo=
X-Google-Smtp-Source: ABdhPJwVan7eIxzGnOm58pspALsIoOIc8MV3zwxdC2yHwy6ZhleYx2KBmTN+pYk94HedQLbatYJ8xy+6aKOUPMPnGcI=
X-Received: by 2002:a5b:508:: with SMTP id o8mr38084ybp.43.1597247994018; Wed,
 12 Aug 2020 08:59:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 12 Aug 2020 08:59:53 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <874kp7zzh0.fsf@HIDDEN>
References: <55F6D62E02050314003904F5_0_77779@p057>
 <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06>
 <874kp7zzh0.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 12 Aug 2020 08:59:53 -0700
Message-ID: <CADwFkmn8+9VWL3HuQ7NTLPV0mtAy7Q0B8uOvXmf0BxBfQMicTg@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
To: Andreas Schwab <schwab@HIDDEN>, 
 "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> It's a POSIX extension, enforced in POSIX mode:
>
>   13. Function names must be valid shell 'name's.  That is, they may not
>      contain characters other than letters, digits, and underscores, and
>      may not start with a digit.  Declaring a function with an invalid
>      name causes a fatal syntax error in non-interactive shells.

Right.  Well, then adding syntax highlighting here would in a way
encourage people to write non-POSIX conformant shell code, which even if
it happens to work in Bash sounds like a bad idea.

So I'm leaning towards closing this bug report as wontfix.

Any other opinions?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 15:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 11:59:58 2020
Received: from localhost ([127.0.0.1]:45235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5tAT-00059v-Q9
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 11:59:57 -0400
Received: from mail-yb1-f170.google.com ([209.85.219.170]:46325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5tAS-00059h-2s
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 11:59:57 -0400
Received: by mail-yb1-f170.google.com with SMTP id x10so1600636ybj.13
 for <21477 <at> debbugs.gnu.org>; Wed, 12 Aug 2020 08:59:55 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=ovjy0EbbwSuFDV4BsuxlIxkz8bL4Af0O45TAOsqNGFk=;
 b=RCckEuwkQXYbY8KhlftuZMXgkM5QbNS/34ZYShq2gbO2pHgwNM3UsCrmLSv6t+EOLU
 QolxkuHE6tisOZMdQ90AVP44fsgtHtdqB3MA4YQ8DpTuuZb1WP1sQYVM0XPgeOQKYUAz
 9mF0ztZgJ1YmsANg6AzA9EDbUAAEGWg3dKZq+hQ1jP+R+nTpTGRf6PcKJLinyicPCZ3v
 BSM6JjsgL/hvvxW0EW5zS6OG3Bi8xa04Jblyf17g3oKVhbZnWJQSoI64lLr/scGMEmyk
 vpSky7QQV/u+9lDKQsyhz6JqQOWG9+bBzr9JdEt06NG4S8kzQYhRakPW41Eg7EnJ7aVK
 gRfg==
X-Gm-Message-State: AOAM53214bzF8+Y6GsYxI0w9ewJ3zximZG8j6ktJB032bP2MouA+vDBR
 1/LhazVI/gGXfNEcjsgq4XmgQ+m9AD2lybamDJs=
X-Google-Smtp-Source: ABdhPJy1CIQzr2jctNAqBMbNvscjb8Ry3jwa1hdusPCvLbhLkZNg+u5gZ0vd06ki7xAbcUuzp0iZGjuS+AafhS1Ux8E=
X-Received: by 2002:a25:b88b:: with SMTP id w11mr24119ybj.129.1597247990387;
 Wed, 12 Aug 2020 08:59:50 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 12 Aug 2020 08:59:49 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <5F33FE6400F000A0003903EF_0_35253@msllnjpmsgsv06>
References: <5F33FE6400F000A0003903EF_0_35253@msllnjpmsgsv06>
MIME-Version: 1.0
Date: Wed, 12 Aug 2020 08:59:49 -0700
Message-ID: <CADwFkmm6gB3fnpoBAHO70khhWEzCe3Mi2JSKD_zDPYFAh_TC8w@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
To: Matthew Persico <mpersico5@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
writes:

> Do you have a particular list to ping, or do I try bash-testers or bug-bash?

I'm not sure.  Any of them should work presumably.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 15:57:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 11:57:20 2020
Received: from localhost ([127.0.0.1]:45227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5t7w-00055l-7e
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 11:57:20 -0400
Received: from mgnj13.bloomberg.net ([69.191.244.234]:28648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mpersico5@HIDDEN>) id 1k5t7t-00055M-Nh
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 11:57:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bloomberg.net; l=8103; q=dns/txt; s=20181022;
 t=1597247837; x=1597334237;
 h=date:from:reply-to:to:cc:mime-version:message-id:subject:
 content-id; bh=D/JWyzEc3Vs7pP0LIla0IL7JqDGgqkcdK38vLH5KxMk=;
 b=YEul3pOydoTr/mhsSosJcBWm36N3Y6IfXZTmeBUbtfG4KK/NBBxXd4Tj
 MyvJEco5v3GmcO/xjOBJxM9XGnB35vQQZAicBa3cd/VGsc+/635KOceqy
 IOX9ZKyGsfYIqSuPkuu2Mot1oKLheD81J8yt/j6tUt3UaxMKei5EDGJFY
 KYI/+3OvlkaCbrW71O2Hg7/ff7Kq1t9k/r0CpC3VpMrOJkdcz2vSWCdc+
 sILUQPNtsiBhG8VQKgF6tm0/N2mQEpuKn9IggRNZZU5monP7+IPiz56fU
 EVsU50wqR7qP7CgUkeP5oeLBK/XOhSXzxoNWb/1D8L+SufoljLgn3tSGj w==;
X-BB-Reception-Complete: 12 Aug 2020 11:57:12 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 679332793
Received: from msllnjpmsgsv06.bloomberg.com (HELO msllnjpmsgsv06)
 ([10.126.134.166])
 by mgnj13.bloomberg.net with SMTP; 12 Aug 2020 11:57:12 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj13:25; conid=357
Date: Wed, 12 Aug 2020 15:57:12 -0000
From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
To: schwab@HIDDEN
MIME-Version: 1.0
Message-ID: <5F34115800C706E600390513_0_42393@msllnjpmsgsv06>
X-BLP-GUID: 5F34115800C706E6003905130000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbA==?=
 =?UTF-8?B?IGZ1bmN0aW9uIG5hbWVz?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_5F34115800C706E600390513_0_56844_msllnjpmsgsv06"
Content-ID: <ID_5F34115800C706E600390513_0_42324@msllnjpmsgsv06>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Matthew Persico <mpersico5@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--BOUNDARY_5F34115800C706E600390513_0_56844_msllnjpmsgsv06
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_5F34115800C706E600390513_0_56844_msllnjpmsgsv06
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_5F34115800C706E600390513_0_56844_msllnjpmsgsv06--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 14:54:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 10:54:42 2020
Received: from localhost ([127.0.0.1]:45167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5s9J-0001Jt-Sp
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:54:42 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:33185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k5s9H-0001Ji-8U
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:54:40 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BRXmF1Zg6z1rrLM;
 Wed, 12 Aug 2020 16:54:36 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BRXmD4wbwz1qvJB;
 Wed, 12 Aug 2020 16:54:36 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id xV_ZnphZXMvn; Wed, 12 Aug 2020 16:54:35 +0200 (CEST)
X-Auth-Info: fAMuaQRahzDXB2qbGEbDmRJlaakVwujqmYI4fihwrhzNG9UE9Fuyb2oQiimx8py7
Received: from igel.home (ppp-46-244-169-219.dynamic.mnet-online.de
 [46.244.169.219])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed, 12 Aug 2020 16:54:35 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 6C4402C106A; Wed, 12 Aug 2020 16:54:35 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
References: <55F6D62E02050314003904F5_0_77779@p057>
 <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06>
X-Yow: ..  here I am in 53 B.C. and all I want is a dill pickle!!
Date: Wed, 12 Aug 2020 16:54:35 +0200
In-Reply-To: <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06> (Matthew
 Persico's message of "Wed, 12 Aug 2020 13:51:44 -0000")
Message-ID: <874kp7zzh0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Aug 12 2020, Matthew Persico (BLOOMBERG/ 919 3RD A) wrote:

> I can reproduce this behaviour, but is it really a bug?  Aren't the
> names with '-' invalid?

It's a POSIX extension, enforced in POSIX mode:

  13. Function names must be valid shell 'name's.  That is, they may not
     contain characters other than letters, digits, and underscores, and
     may not start with a digit.  Declaring a function with an invalid
     name causes a fatal syntax error in non-interactive shells.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 14:36:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 10:36:28 2020
Received: from localhost ([127.0.0.1]:45129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5rrg-0000ry-79
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:36:28 -0400
Received: from mgnj13.bloomberg.net ([69.191.244.234]:30762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mpersico5@HIDDEN>) id 1k5rre-0000rk-1n
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:36:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bloomberg.net; l=4507; q=dns/txt; s=20181022;
 t=1597242985; x=1597329385;
 h=date:from:reply-to:to:cc:mime-version:message-id:subject:
 content-id; bh=0mUswk3fm9Ux437+asDoAcRwy/bSOmpBoSZaOOoWcKw=;
 b=S7XjNupPU8Ro3w3iwwAfHPvKFjzotkMm7MYkZ7K3Wsw1MG02+NA1Wngz
 Nhhahpb/obM3rVfLkLe5mO2G3N4XFL+jmlBSn029Ff9OR0PSL+i6evJep
 xIfJH/v99dAHi3hqKqcja6ko4RYaOewdjdvDAhIDt/79nJQ4IKw3GSUzt
 S+nz1UoTsMKoY1xh+ZPn+B2VittTqi2Ajx/zXEedSwmIXcvGI8SqzaPc8
 ENlnTv9u3WUT8YAcaMbTZZ2MfMU7OhHlhV/NfMsbYKWJWQJ41YIqZnFox
 4m1H1cFJTv+2z3xP++zC+4m06fOUqMZlRwjvAk+BHDrTQfyaAHdEtvO1F A==;
X-BB-Reception-Complete: 12 Aug 2020 10:36:20 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 679241006
Received: from msllnjpmsgsv06.bloomberg.com (HELO msllnjpmsgsv06)
 ([10.126.134.166])
 by mgnj13.bloomberg.net with SMTP; 12 Aug 2020 10:36:20 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj13:25; conid=171
Date: Wed, 12 Aug 2020 14:36:20 -0000
From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
To: stefan@HIDDEN
MIME-Version: 1.0
Message-ID: <5F33FE6400F000A0003903EF_0_35253@msllnjpmsgsv06>
X-BLP-GUID: 5F33FE6400F000A0003903EF0000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbA==?=
 =?UTF-8?B?IGZ1bmN0aW9uIG5hbWVz?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_5F33FE6400F000A0003903EF_0_46876_msllnjpmsgsv06"
Content-ID: <ID_5F33FE6400F000A0003903EF_0_35196@msllnjpmsgsv06>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Matthew Persico <mpersico5@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--BOUNDARY_5F33FE6400F000A0003903EF_0_46876_msllnjpmsgsv06
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

RG8geW91IGhhdmUgYSBwYXJ0aWN1bGFyIGxpc3QgdG8gcGluZywgb3IgZG8gSSB0cnkgYmFzaC10
ZXN0ZXJzIG9yIGJ1Zy1iYXNoPwoKCkZyb206IHN0ZWZhbkBtYXJ4aXN0LnNlIEF0OiAwOC8xMi8y
MCAxMDowODozNVRvOiAgTWF0dGhldyBQZXJzaWNvIChCTE9PTUJFUkcvIDkxOSAzUkQgQSApIApD
YzogIDIxNDc3QGRlYmJ1Z3MuZ251Lm9yZwpTdWJqZWN0OiBSZTogYnVnIzIxNDc3OiAyNC40OyBJ
bWVudSAtIGltcHJvcGVyIHBhcnNlIG9mIHNoZWxsIGZ1bmN0aW9uIG5hbWVzCgoiTWF0dGhldyBQ
ZXJzaWNvIChCTE9PTUJFUkcvIDkxOSAzUkQgQSkiIDxtcGVyc2ljbzVAYmxvb21iZXJnLm5ldD4K
d3JpdGVzOgoKPiBJbnRlcmVzdGluZy4gSSBoYXZlIGZ1bmN0aW9uIG5hbWVzIHdpdGggZGFzaGVz
IGFsbCBvdmVyIGFuZCBub3RoaW5nCj4gY29tcGxhaW5zLiBOb3QgQmFzaCA0LlgsIG5vdCBzaGVs
bGNoZWNrLiBJZiB5b3UgcmFuIHRoYXQgZmlsZSBpbiB0aGUKPiBwb3N0LCBpdCB3b3VsZCBub3Qg
Y29tcGxhaW4uCj4KPiBOb3csIHlvdSBjYW4ndCB1c2UgZGFzaGVzIGluIHZhcmlhYmxlcy4gQnV0
IGZ1bmN0aW9ucyB3b3JrIGp1c3QgZmluZS4KPgo+IEkgd29uZGVyIGlmIHRoZSBiYXNoIG1hbnVh
bCBuZWVkcyBhbiB1cGRhdGU/CgpXb3VsZCB5b3UgYmUgd2lsbGluZyB0byBhc2sgdGhlIGJhc2gg
bWFpbnRhaW5lcnMgYWJvdXQgdGhpcz8KCkJlc3QgcmVnYXJkcywKU3RlZmFuIEthbmdhcwoKCg==


--BOUNDARY_5F33FE6400F000A0003903EF_0_46876_msllnjpmsgsv06
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_5F33FE6400F000A0003903EF_0_46876_msllnjpmsgsv06--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 14:08:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 10:08:41 2020
Received: from localhost ([127.0.0.1]:45051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5rQm-00006K-RV
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:08:41 -0400
Received: from mail-yb1-f177.google.com ([209.85.219.177]:46216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5rQj-000064-PF
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 10:08:39 -0400
Received: by mail-yb1-f177.google.com with SMTP id x10so1404319ybj.13
 for <21477 <at> debbugs.gnu.org>; Wed, 12 Aug 2020 07:08:37 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=KnJNt2m5fnxvoEW0a3E41x88eBjhCGMUStlspIplVJI=;
 b=uctsAaYxpwgQEb33D+zKb256oummAlPdOY1lstba6URikaexpDyyWSzzgUI7+fy/5b
 G5zQlCa0VBT8Z6JnycPftkUZR1mpobZYfTdeusXVSGTu74AHnaX0QnwITrfor+I0KIEG
 /q7AIUGQ6OZo7gX2M2QPPQ7ubUb1c6DpJU1lFaC5gt5dhfrCR/EwWJEuXkZRr/SVYWyd
 jGWvZNYf679k7iL/HzdUK6DqKUfIpSjc2JZopSS+f/0HQbIrxxPvIsiEyTiMPjU9YTRW
 f/hSH51AF6HXKQvHsMg3W4pifCwgASQKtmT/OhpGB58UMt4U7sQHyeK45CZkeJw6MGLK
 TETA==
X-Gm-Message-State: AOAM533vcopJCH5vC0vXsgSd5QZ8VIwl9ptRlaoDnGUbOLLm+WnYuiAr
 KDPyR9HOuSMUUwE5MneYhX3FcNGph7yR7OsD1PI=
X-Google-Smtp-Source: ABdhPJwnlAeGLfV2TZC2xmglBn9wDAUF53Ga+qa280wbZUGfNJ+PJupVHYIhWWAq+lTIrKulFuM0E7TzpFG8TJKne1g=
X-Received: by 2002:a25:4609:: with SMTP id t9mr197076yba.231.1597241312289;
 Wed, 12 Aug 2020 07:08:32 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 12 Aug 2020 07:08:29 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06>
References: <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06>
MIME-Version: 1.0
Date: Wed, 12 Aug 2020 07:08:29 -0700
Message-ID: <CADwFkmkZ3942PFy0vrXx0cbqhH23XTWiJ=XipR3rBkQhnBF9yw@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
To: Matthew Persico <mpersico5@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
writes:

> Interesting. I have function names with dashes all over and nothing
> complains. Not Bash 4.X, not shellcheck. If you ran that file in the
> post, it would not complain.
>
> Now, you can't use dashes in variables. But functions work just fine.
>
> I wonder if the bash manual needs an update?

Would you be willing to ask the bash maintainers about this?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 13:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 09:51:52 2020
Received: from localhost ([127.0.0.1]:43358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5rAW-0007hQ-GK
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 09:51:52 -0400
Received: from mgnj16.bloomberg.net ([69.191.244.238]:63872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mpersico5@HIDDEN>) id 1k5rAT-0007hB-O2
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 09:51:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=bloomberg.net; l=6731; q=dns/txt; s=20181022;
 t=1597240309; x=1597326709;
 h=date:from:reply-to:to:cc:mime-version:message-id:subject:
 content-id; bh=b6Oha9ILpbvt5RD8YTV1q6/hGUupCdknAJpYJwCplDs=;
 b=AK18bBdV0IA6AUEMcJ6B3qdvP8j1U290jy/JBRU0bWP+dKkgbBCXq2Cc
 4Fz3RAAWJgazvTyG5+ACPyVC/hNGGmYjBfKVmrY6lG/J2u0f0g+7Blp0b
 zglgZA7vGinvq1tKDjljdjpfIMoNm+KWhY2QT48Q3UEmzcmW+q4GbQovj
 Lub8Sa6aauVkM319SzLuCbmPZLKgErcKu/+K+sZ9SIrI+IbvT+F6D/pIO
 dOuPNNCGJ39dXkwgLa9mJRda2KMpWPoCUwKJ55Zgn3Xv7rOOpVD4KZhLJ
 NFqq/GdnHLjCqSZE6ZJk2Tw9uE+88mlMfXmvz7gHx4ehpCUwbEyb4pN1Q w==;
X-BB-Reception-Complete: 12 Aug 2020 09:51:44 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 119931188
Received: from msllnjpmsgsv06.bloomberg.com (HELO msllnjpmsgsv06)
 ([10.126.134.166])
 by mgnj16.bloomberg.net with SMTP; 12 Aug 2020 09:51:44 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj16:25; conid=104
Date: Wed, 12 Aug 2020 13:51:44 -0000
From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <mpersico5@HIDDEN>
To: stefan@HIDDEN
MIME-Version: 1.0
Message-ID: <5F33F3F000D2020C00390369_0_31281@msllnjpmsgsv06>
X-BLP-GUID: 5F33F3F000D2020C003903690000
Subject: =?UTF-8?B?UmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbA==?=
 =?UTF-8?B?IGZ1bmN0aW9uIG5hbWVz?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_5F33F3F000D2020C00390369_0_41726_msllnjpmsgsv06"
Content-ID: <ID_5F33F3F000D2020C00390369_0_31231@msllnjpmsgsv06>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Matthew Persico <mpersico5@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--BOUNDARY_5F33F3F000D2020C00390369_0_41726_msllnjpmsgsv06
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

SW50ZXJlc3RpbmcuIEkgaGF2ZSBmdW5jdGlvbiBuYW1lcyB3aXRoIGRhc2hlcyBhbGwgb3ZlciBh
bmQgbm90aGluZyBjb21wbGFpbnMuIE5vdCBCYXNoIDQuWCwgbm90IHNoZWxsY2hlY2suIElmIHlv
dSByYW4gdGhhdCBmaWxlIGluIHRoZSBwb3N0LCBpdCB3b3VsZCBub3QgY29tcGxhaW4uCgpOb3cs
IHlvdSBjYW4ndCB1c2UgZGFzaGVzIGluIHZhcmlhYmxlcy4gQnV0IGZ1bmN0aW9ucyB3b3JrIGp1
c3QgZmluZS4KCkkgd29uZGVyIGlmIHRoZSBiYXNoIG1hbnVhbCBuZWVkcyBhbiB1cGRhdGU/CgpG
cm9tOiBzdGVmYW5AbWFyeGlzdC5zZSBBdDogMDgvMTIvMjAgMDA6MTU6NDBUbzogIE1hdHRoZXcg
UGVyc2ljbyAoQkxPT01CRVJHLyA5MTkgM1JEIEEgKSAKQ2M6ICAyMTQ3N0BkZWJidWdzLmdudS5v
cmcKU3ViamVjdDogUmU6IGJ1ZyMyMTQ3NzogMjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBv
ZiBzaGVsbCBmdW5jdGlvbiBuYW1lcwoKdGFncyAyMTQ3NyArIG1vcmVpbmZvCnRoYW5rcwoKIk1h
dHRoZXcgUGVyc2ljbyAoQkxPT01CRVJHLyA3MzEgTEVYKSIgPG1wZXJzaWNvNUBibG9vbWJlcmcu
bmV0PiB3cml0ZXM6Cgo+IDEpIENyZWF0ZSBhIGZpbGUgd2l0aCB0aGlzIHRleHQ6Cj4gIyAtKi0g
c2ggLSotCj4gdGhpc19pc19wYXJzZWQgKCkKPiB7Cj4gZWNobyAxCj4gfQo+Cj4gZnVuY3Rpb24g
dGhpc19pc19hbHNvX3BhcnNlZAo+IHsKPiBlY2hvIDEKPiB9Cj4KPiB0aGlzLWlzLW5vdC1wYXJz
ZWQgKCkKPiB7Cj4gZWNobyAxCj4gfQo+Cj4gZnVuY3Rpb24gdGhpcy1pcy1hbHNvLW5vdC1wYXJz
ZWQKPiB7Cj4gZWNobyAxCj4gfQo+Cj4gMikgTG9hZCBpdCBpbnRvIGVtYWNzIHRoYXQgaGFzIGlt
ZW51Lgo+Cj4gMykgTG9vayBmb3IgZnVuY3Rpb25zIGluIHRoZSBpbWVudSBsaXN0LiBPbmx5IHRo
ZSBvbmVzIHdpdGggJ18nIHNob3cgdXAuIFRoZSAKb25lcyB3aXRoICctJyBkbyBub3QuCgpJIGNh
biByZXByb2R1Y2UgdGhpcyBiZWhhdmlvdXIsIGJ1dCBpcyBpdCByZWFsbHkgYSBidWc/ICBBcmVu
J3QgdGhlCm5hbWVzIHdpdGggJy0nIGludmFsaWQ/CgpUaGUgQmFzaCBSZWZlcmVuY2UgTWFudWFs
IHNheXM6CgpuYW1lCgogICAgQSB3b3JkIGNvbnNpc3Rpbmcgc29sZWx5IG9mIGxldHRlcnMsIG51
bWJlcnMsIGFuZCB1bmRlcnNjb3JlcywgYW5kCiAgICBiZWdpbm5pbmcgd2l0aCBhIGxldHRlciBv
ciB1bmRlcnNjb3JlLiBOYW1lcyBhcmUgdXNlZCBhcyBzaGVsbAogICAgdmFyaWFibGUgYW5kIGZ1
bmN0aW9uIG5hbWVzLiBBbHNvIHJlZmVycmVkIHRvIGFzIGFuIGlkZW50aWZpZXIuCgpodHRwczov
L3d3dy5nbnUub3JnL3NhdmFubmFoLWNoZWNrb3V0cy9nbnUvYmFzaC9tYW51YWwvYmFzaC5odG1s
CgpCZXN0IHJlZ2FyZHMsClN0ZWZhbiBLYW5nYXMKCgo=

--BOUNDARY_5F33F3F000D2020C00390369_0_41726_msllnjpmsgsv06
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64

PGh0bWw+PGhlYWQ+PHRpdGxlPjwvdGl0bGU+PC9oZWFkPjxib2R5PjwhLS0gcnRlLXZlcnNpb24g
MC4yIDk5NDc1NTE2MzcyOTQwMDhiNzdiY2UyNWViNjgzZGFjIC0tPjxkaXYgY2xhc3M9InJ0ZS1z
dHlsZS1tYWludGFpbmVyIHJ0ZS1wcmUtd3JhcCIgZGF0YS1jb2xvcj0iZ2xvYmFsLWRlZmF1bHQi
IGJiZy1jb2xvcj0iZGVmYXVsdCIgZGF0YS1iYi1mb250LXNpemU9Im1lZGl1bSJiYmctZm9udC1z
aXplPSJtZWRpdW0iIHN0eWxlPSJmb250LWZhbWlseTogQXJpYWwsICZxdW90O0JCLlByb3BvcnRp
b25hbCZxdW90Ozsgd2hpdGUtc3BhY2U6IHByZS13cmFwOyBmb250LXNpemU6IHNtYWxsOyJzdHls
ZT0iZm9udC1mYW1pbHk6IEFyaWFsLCAmcXVvdDtCQi5Qcm9wb3J0aW9uYWwmcXVvdDs7IHdoaXRl
LXNwYWNlOiBwcmUtd3JhcDsgZm9udC1zaXplOiBzbWFsbDsgY29sb3I6IHJnYigwLCAwLCAwKTsi
PkludGVyZXN0aW5nLiBJIGhhdmUgZnVuY3Rpb24gbmFtZXMgd2l0aCBkYXNoZXMgYWxsIG92ZXIg
YW5kIG5vdGhpbmcgY29tcGxhaW5zLiBOb3QgQmFzaCA0LlgsIG5vdCBzaGVsbGNoZWNrLiBJZiB5
b3UgcmFuIHRoYXQgZmlsZSBpbiB0aGUgcG9zdCwgaXQgd291bGQgbm90IGNvbXBsYWluLjxicj48
YnI+Tm93LCB5b3UgY2FuJ3QgdXNlIGRhc2hlcyBpbiB2YXJpYWJsZXMuIEJ1dCBmdW5jdGlvbnMg
d29yayBqdXN0IGZpbmUuPGJyPjxicj5JIHdvbmRlciBpZiB0aGUgYmFzaCBtYW51YWwgbmVlZHMg
YW4gdXBkYXRlPzxicj48ZGl2IGNsYXNzPSJydGUtc3R5bGUtbWFpbnRhaW5lciIgZGF0YS1jb2xv
cj0iZ2xvYmFsLWRlZmF1bHQiYmJnLWNvbG9yPSJkZWZhdWx0IiBkYXRhLWJiLWZvbnQtc2l6ZT0i
bWVkaXVtIiBiYmctZm9udC1zaXplPSJtZWRpdW0iIHN0eWxlPSJmb250LXNpemU6IHNtYWxsOyBm
b250LWZhbWlseTogJnF1b3Q7Q291cmllciBOZXcmcXVvdDssIENvdXJpZXIsICZxdW90O0JCLkZp
eGVkV2lkdGgmcXVvdDs7InN0eWxlPSJmb250LXNpemU6IHNtYWxsOyBmb250LWZhbWlseTogJnF1
b3Q7Q291cmllciBOZXcmcXVvdDssIENvdXJpZXIsICZxdW90O0JCLkZpeGVkV2lkdGgmcXVvdDs7
IGNvbG9yOiByZ2IoMCwgMCwgMCk7Ij48YnI+PGRpdiBjbGFzcz0iYmJnLXJ0ZS1mb2xkLWNvbnRl
bnQiIGRhdGEtaGVhZGVyPSJGcm9tOiBzdGVmYW5AbWFyeGlzdC5zZSBBdDogMDgvMTIvMjAgMDA6
MTU6NDAiIGRhdGEtZGlnZXN0PSJGcm9tOiBzdGVmYW5AbWFyeGlzdC5zZSBBdDogMDgvMTIvMjAg
MDA6MTU6NDAiIHN0eWxlPSIiPjxkaXYgY2xhc3M9ImJiZy1ydGUtZm9sZC1zdW1tYXJ5Ij5Gcm9t
OiBzdGVmYW5AbWFyeGlzdC5zZSBBdDogMDgvMTIvMjAgMDA6MTU6NDA8L2Rpdj5UbzogPGEgc3Bl
bGxjaGVjaz0iZmFsc2UiIGJiZy1kZXN0aW5hdGlvbj0ibWFpbHRvOm1wZXJzaWNvNUBibG9vbWJl
cmcubmV0IiBocmVmPSJtYWlsdG86bXBlcnNpY281QGJsb29tYmVyZy5uZXQiPiBNYXR0aGV3IFBl
cnNpY28gKEJMT09NQkVSRy8gOTE5IDNSRCBBICkgPC9hPjxicj5DYzogPGEgc3BlbGxjaGVjaz0i
ZmFsc2UiYmJnLWRlc3RpbmF0aW9uPSJtYWlsdG86MjE0NzdAZGViYnVncy5nbnUub3JnIiBocmVm
PSJtYWlsdG86MjE0NzdAZGViYnVncy5nbnUub3JnIj4gMjE0NzdAZGViYnVncy5nbnUub3JnPC9h
Pjxicj5TdWJqZWN0OiBSZTogYnVnIzIxNDc3OiAyNC40OyBJbWVudSAtIGltcHJvcGVyIHBhcnNl
IG9mIHNoZWxsIGZ1bmN0aW9uIG5hbWVzPC9kaXY+PGJyPjxibG9ja3F1b3RlPnRhZ3MgMjE0Nzcg
KyBtb3JlaW5mbzxicj50aGFua3M8YnI+PGJyPiJNYXR0aGV3IFBlcnNpY28gKEJMT09NQkVSRy8g
NzMxIExFWCkiICZsdDs8YSBzcGVsbGNoZWNrPSJmYWxzZSJiYmctZGVzdGluYXRpb249Im1haWx0
bzpydGU6YmluZCIgZGF0YS1kZXN0aW5hdGlvbj0ibWFpbHRvOnJ0ZTpiaW5kIiBocmVmPSJtYWls
dG86bXBlcnNpY281QGJsb29tYmVyZy5uZXQiPm1wZXJzaWNvNUBibG9vbWJlcmcubmV0PC9hPiZn
dDsgd3JpdGVzOjxicj48YnI+Jmd0OyAxKSBDcmVhdGUgYSBmaWxlIHdpdGggdGhpcyB0ZXh0Ojxi
cj4mZ3Q7ICMgLSotIHNoIC0qLTxicj4mZ3Q7IHRoaXNfaXNfcGFyc2VkICgpPGJyPiZndDsgezxi
cj4mZ3Q7IGVjaG8gMTxicj4mZ3Q7IH08YnI+Jmd0Ozxicj4mZ3Q7IGZ1bmN0aW9uIHRoaXNfaXNf
YWxzb19wYXJzZWQ8YnI+Jmd0OyB7PGJyPiZndDsgZWNobyAxPGJyPiZndDsgfTxicj4mZ3Q7PGJy
PiZndDsgdGhpcy1pcy1ub3QtcGFyc2VkICgpPGJyPiZndDsgezxicj4mZ3Q7IGVjaG8gMTxicj4m
Z3Q7IH08YnI+Jmd0Ozxicj4mZ3Q7IGZ1bmN0aW9uIHRoaXMtaXMtYWxzby1ub3QtcGFyc2VkPGJy
PiZndDsgezxicj4mZ3Q7IGVjaG8gMTxicj4mZ3Q7IH08YnI+Jmd0Ozxicj4mZ3Q7IDIpIExvYWQg
aXQgaW50byBlbWFjcyB0aGF0IGhhcyBpbWVudS48YnI+Jmd0Ozxicj4mZ3Q7IDMpIExvb2sgZm9y
IGZ1bmN0aW9ucyBpbiB0aGUgaW1lbnUgbGlzdC4gT25seSB0aGUgb25lcyB3aXRoICdfJyBzaG93
IHVwLiBUaGUgPGJyPm9uZXMgd2l0aCAnLScgZG8gbm90Ljxicj48YnI+SSBjYW4gcmVwcm9kdWNl
IHRoaXMgYmVoYXZpb3VyLCBidXQgaXMgaXQgcmVhbGx5IGEgYnVnPyAgQXJlbid0IHRoZTxicj5u
YW1lcyB3aXRoICctJyBpbnZhbGlkPzxicj48YnI+VGhlIEJhc2ggUmVmZXJlbmNlIE1hbnVhbCBz
YXlzOjxicj48YnI+bmFtZTxicj48YnI+ICAgIEEgd29yZCBjb25zaXN0aW5nIHNvbGVseSBvZiBs
ZXR0ZXJzLCBudW1iZXJzLCBhbmQgdW5kZXJzY29yZXMsIGFuZDxicj4gICAgYmVnaW5uaW5nIHdp
dGggYSBsZXR0ZXIgb3IgdW5kZXJzY29yZS4gTmFtZXMgYXJlIHVzZWQgYXMgc2hlbGw8YnI+ICAg
IHZhcmlhYmxlIGFuZCBmdW5jdGlvbiBuYW1lcy4gQWxzbyByZWZlcnJlZCB0byBhcyBhbiBpZGVu
dGlmaWVyLjxicj48YnI+PGEgYmJnLWRlc3RpbmF0aW9uPSJydGU6YmluZCJzcGVsbGNoZWNrPSJm
YWxzZSIgZGF0YS1kZXN0aW5hdGlvbj0icnRlOmJpbmQiIGhyZWY9Imh0dHBzOi8vd3d3LmdudS5v
cmcvc2F2YW5uYWgtY2hlY2tvdXRzL2dudS9iYXNoL21hbnVhbC9iYXNoLmh0bWwiPmh0dHBzOi8v
d3d3LmdudS5vcmcvc2F2YW5uYWgtY2hlY2tvdXRzL2dudS9iYXNoL21hbnVhbC9iYXNoLmh0bWw8
L2E+PGJyPjxicj5CZXN0IHJlZ2FyZHMsPGJyPlN0ZWZhbiBLYW5nYXM8YnI+PC9ibG9ja3F1b3Rl
Pjxicj48L2Rpdj48L2Rpdj48L2JvZHk+PC9odG1sPg==

--BOUNDARY_5F33F3F000D2020C00390369_0_41726_msllnjpmsgsv06--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21477 <at> debbugs.gnu.org:


Received: (at 21477) by debbugs.gnu.org; 12 Aug 2020 04:15:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 12 00:15:45 2020
Received: from localhost ([127.0.0.1]:42567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k5iAz-00075k-Jx
	for submit <at> debbugs.gnu.org; Wed, 12 Aug 2020 00:15:45 -0400
Received: from mail-yb1-f196.google.com ([209.85.219.196]:39521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k5iAy-00075N-2m
 for 21477 <at> debbugs.gnu.org; Wed, 12 Aug 2020 00:15:44 -0400
Received: by mail-yb1-f196.google.com with SMTP id q16so648873ybk.6
 for <21477 <at> debbugs.gnu.org>; Tue, 11 Aug 2020 21:15:44 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=XLRQS1Yqiwdxpj6EIco3UIqDI/v18wRe2gjWnLH1Btg=;
 b=dgdcabC2Cte2tuIknJ4XOmMovkFijj/3lOtXHTnRe4ShQQ2IgM58OyhZitWP32mbDj
 3Ya4yZRZiHu4m5FvUxd104INxYpFeZmIvrdx87CBcrlxQ0NOfuMF90+ItAVxhDJ95iXR
 7YUm1P3SZ/exKjnwGVN6hMnrt6RBA3GMnDVYGN8/IUcKHjoLvhJwlfHNPAfdI70pdIVd
 HjUoYVNSTZI3vTmeUENSuexSC1d7hkrsELlFwUqUyIvK9quQPCRiQ50aYejtfMUpljPb
 PrMTs36hdF0ph3Qcr8vNhEaCRq5um5Rm3a/MPlcCBa9Cu6EIXQBgVL9yWfJbqdX+U6oc
 fnog==
X-Gm-Message-State: AOAM530vdME2cPZ5uLnQ1PPOVP47lcySxzCueRcww+jHLStE6+n8y0I8
 VZuHgIdy6IwG2aidd+ShWKqlA3A7Bw04hWVn28Q=
X-Google-Smtp-Source: ABdhPJyQJg1CEWbe12Mry5RVMUcvpPLFGUvPeon8/gfsrmqMjk45MgsQXG3porn/4vLE/UOYOvHp+A6V6/au+/O45z8=
X-Received: by 2002:a25:b290:: with SMTP id k16mr22038885ybj.389.1597205738684; 
 Tue, 11 Aug 2020 21:15:38 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 11 Aug 2020 21:15:38 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <55F6D62E02050314003904F5_0_77779@p057> (Matthew Persico's
 message of "Mon, 14 Sep 2015 14:14:06 -0000")
References: <55F6D62E02050314003904F5_0_77779@p057>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 11 Aug 2020 21:15:38 -0700
Message-ID: <CADwFkmmrRtPhs87DKyHEpA1fmGxc6phb2jOnLn6Mv-BHvPGjRw@HIDDEN>
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names
To: "Matthew Persico (BLOOMBERG/ 731 LEX)" <mpersico5@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21477
Cc: 21477 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 21477 + moreinfo
thanks

"Matthew Persico (BLOOMBERG/ 731 LEX)" <mpersico5@HIDDEN> writes:

> 1) Create a file with this text:
> # -*- sh -*-
> this_is_parsed ()
> {
> echo 1
> }
>
> function this_is_also_parsed
> {
> echo 1
> }
>
> this-is-not-parsed ()
> {
> echo 1
> }
>
> function this-is-also-not-parsed
> {
> echo 1
> }
>
> 2) Load it into emacs that has imenu.
>
> 3) Look for functions in the imenu list. Only the ones with '_' show up. The ones with '-' do not.

I can reproduce this behaviour, but is it really a bug?  Aren't the
names with '-' invalid?

The Bash Reference Manual says:

name

    A word consisting solely of letters, numbers, and underscores, and
    beginning with a letter or underscore. Names are used as shell
    variable and function names. Also referred to as an identifier.

https://www.gnu.org/savannah-checkouts/gnu/bash/manual/bash.html

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Sep 2015 15:28:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 11:28:03 2015
Received: from localhost ([127.0.0.1]:60438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZbVfm-0001QT-98
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2015 11:28:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53789)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWW-00081H-7m
 for submit <at> debbugs.gnu.org; Mon, 14 Sep 2015 10:14:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWR-00011i-S3
 for submit <at> debbugs.gnu.org; Mon, 14 Sep 2015 10:14:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34524)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWR-00011d-O7
 for submit <at> debbugs.gnu.org; Mon, 14 Sep 2015 10:14:19 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35486)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWL-0000C2-QJ
 for bug-gnu-emacs@HIDDEN; Mon, 14 Sep 2015 10:14:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWG-0000t0-6Y
 for bug-gnu-emacs@HIDDEN; Mon, 14 Sep 2015 10:14:13 -0400
Received: from mgnj3.bloomberg.net ([69.191.244.21]:56353)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mpersico5@HIDDEN>) id 1ZbUWG-0000sH-0h
 for bug-gnu-emacs@HIDDEN; Mon, 14 Sep 2015 10:14:08 -0400
X-BB-Reception-Complete: 14 Sep 2015 10:14:06 -0400
X-IP-Listener: Outgoing Mail
X-IP-MID: 14201657
Received: from p057.bloomberg.com (HELO p057) ([10.126.157.205])
 by mgnj3.bloomberg.net with SMTP; 14 Sep 2015 10:14:06 -0400
X-BLP-INETSVC: version=BLP_APP_S_INETSVC_1.0.1; host=mgnj3:25; conid=81
Date: Mon, 14 Sep 2015 14:14:06 -0000
From: "Matthew Persico (BLOOMBERG/ 731 LEX)" <mpersico5@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Message-ID: <55F6D62E02050314003904F5_0_77779@p057>
X-BLP-GUID: 55F6D62E02050314003904F50000
Subject: =?UTF-8?B?MjQuNDsgSW1lbnUgLSBpbXByb3BlciBwYXJzZSBvZiBzaGVsbCBmdW5jdGlvbiBuYW1lcw==?=
Content-Type: multipart/alternative;
 boundary="BOUNDARY_55F6D62E02050314003904F5_0_78165_p057"
Content-ID: <ID_55F6D62E02050314003904F5_0_55058@p057>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 14 Sep 2015 11:28:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Matthew Persico <mpersico5@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--BOUNDARY_55F6D62E02050314003904F5_0_78165_p057
Content-Type: text/plain; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_55F6D62E02050314003904F5_0_78165_p057
Content-Type: text/html; charset=UTF-8
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--BOUNDARY_55F6D62E02050314003904F5_0_78165_p057--





Acknowledgement sent to Matthew Persico <mpersico5@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21477; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 17 Aug 2022 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.